eID middleware |

# eIDMW::PTEID_Address Class Reference

Class for the Address document on a EID Card. More...

`#include <eidlib.h>`

Inheritance diagram for eIDMW::PTEID_Address:

List of all members.

## Public Member Functions
virtual PTEIDSDK_API | ~PTEID_Address ()
| Destructor.
PTEIDSDK_API const char * | getMunicipality ()
| Return Municipality field.
PTEIDSDK_API const char * | getDistrict ()
| Return field District.
PTEIDSDK_API const char * | getStreetName ()
| Return field StreetName.
PTEIDSDK_API const char * | getCivilParish ()
| Return field CivilParish.
PTEIDSDK_API const char * | getStreetType1 ()
| Return field StreetType1.
PTEIDSDK_API const char * | getStreetType2 ()
| Return field StreetType2.
PTEIDSDK_API const char * | getBuildingType1 ()
| Return field BuildingType1.
PTEIDSDK_API const char * | getBuildingType2 ()
| Return field BuildingType2.
PTEIDSDK_API const char * | getDoorNo ()
| Return field DoorNo.
PTEIDSDK_API const char * | getFloor ()
| Return field Floor.
PTEIDSDK_API const char * | getSide ()
| Return field Side.
PTEIDSDK_API const char * | getLocality ()
| Return field Locality.
PTEIDSDK_API const char * | getPlace ()
| Return field Locality.
PTEIDSDK_API const char * | getZip4 ()
| Return field Zip4.
PTEIDSDK_API const char * | getZip3 ()
| Return field Zip3.
PTEIDSDK_API const char * | getPostalLocality ()
| Return field PostalLocality.
## Friends
PTEID_Address & | PTEID_EIDCard::getAddr ()
| For internal use : This method must access protected constructor.

## Detailed Description

Class for the Address document on a EID Card.

You can get such an object from PTEID_EIDCard::getAddr() (or getDocument).

## Constructor & Destructor Documentation

virtual PTEIDSDK_API eIDMW::PTEID_Address::~PTEID_Address | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

PTEIDSDK_API const char* eIDMW::PTEID_Address::getBuildingType1 | ( |  | ) |

Return field BuildingType1.

PTEIDSDK_API const char* eIDMW::PTEID_Address::getBuildingType2 | ( |  | ) |

Return field BuildingType2.

PTEIDSDK_API const char* eIDMW::PTEID_Address::getCivilParish | ( |  | ) |

Return field CivilParish.

PTEIDSDK_API const char* eIDMW::PTEID_Address::getDistrict | ( |  | ) |

Return field District.

PTEIDSDK_API const char* eIDMW::PTEID_Address::getDoorNo | ( |  | ) |

Return field DoorNo.

PTEIDSDK_API const char* eIDMW::PTEID_Address::getFloor | ( |  | ) |

Return field Floor.

PTEIDSDK_API const char* eIDMW::PTEID_Address::getLocality | ( |  | ) |

Return field Locality.

PTEIDSDK_API const char* eIDMW::PTEID_Address::getMunicipality | ( |  | ) |

Return Municipality field.

PTEIDSDK_API const char* eIDMW::PTEID_Address::getPlace | ( |  | ) |

Return field Locality.

PTEIDSDK_API const char* eIDMW::PTEID_Address::getPostalLocality | ( |  | ) |

Return field PostalLocality.

PTEIDSDK_API const char* eIDMW::PTEID_Address::getSide | ( |  | ) |

Return field Side.

PTEIDSDK_API const char* eIDMW::PTEID_Address::getStreetName | ( |  | ) |

Return field StreetName.

PTEIDSDK_API const char* eIDMW::PTEID_Address::getStreetType1 | ( |  | ) |

Return field StreetType1.

PTEIDSDK_API const char* eIDMW::PTEID_Address::getStreetType2 | ( |  | ) |

Return field StreetType2.

PTEIDSDK_API const char* eIDMW::PTEID_Address::getZip3 | ( |  | ) |

Return field Zip3.

PTEIDSDK_API const char* eIDMW::PTEID_Address::getZip4 | ( |  | ) |

Return field Zip4.

## Friends And Related Function Documentation

PTEID_Address& PTEID_EIDCard::getAddr | ( |  | ) | `[friend]`

For internal use : This method must access protected constructor.

The documentation for this class was generated from the following file:

- eidlib.h